Name:           libmbim
Version:        1.29.2
Release:        1
Summary:        A glib-based library for talking to WWAN modems and devices
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/mobile-broadband/libmbim
Source:         https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc glib2-devel pkgconfig automake autoconf libtool
BuildRequires:  python3 pkgconfig(gudev-1.0) >= 147 gtk-doc
BuildRequires:  libxslt python3-unversioned-command help2man meson

Provides:       %{name}-utils = %{version}-%{release}
Obsoletes:      %{name}-utils < %{version}-%{release}

%description
Libmbim is a glib-based library for talking to WWAN modems and
devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

%package devel
Summary:        Development package for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description devel
This package contains some header and library files for the development of the %{name}.

%package_help

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true -Dbash_completion=false
%meson_build

%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -a src/mbimcli/mbimcli %{buildroot}%{_datadir}/bash-completion/completions/

%check
%meson_test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc NEWS AUTHORS README.md
%{_libdir}/libmbim-glib.so.*
%{_bindir}/*
%{_datadir}/bash-completion
%{_libexecdir}/mbim-proxy
%{_libdir}/girepository-1.0/Mbim-1.0.typelib

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%dir %{_datadir}/gtk-doc/html/libmbim-glib
%{_datadir}/gtk-doc/html/libmbim-glib/*
%{_datadir}/gir-1.0/Mbim-1.0.gir

%files help
%{_mandir}/man1/*

%changelog
* Sat Jul 22 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.29.2-1
- update to 1.29.2

* Thu Feb 23 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.26.4-2
- fix build error in master

* Wed Nov 16 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.26.4-1
- update to 1.26.4

* Mon Oct 26 2020 leiju <leiju4@huawei.com> - 1.24.2-2
- modify BuildRequires from python-unversioned-command to python3-unversioned-command

* Tue Jul 28 2020 cuibaobao <cuibaobao1@huawei.com> - 1.24.2-1
- update to 1.24.2

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.16.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add patch to modify build err

* Wed Dec 11 2019 catastrowings <jianghuhao1994@163.com> - 1.16.0-4
- openEuler init
